summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-08-26 06:58:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-26 06:58:53 +0700
commit28d3843e7fbed6358e6decb2b2193f3f7f2f6f36 (patch)
treef749ce48b1bf2aff984f57b5589e4585f6678274
parent09e6249b03d53956d8e864069b847a99df89bce0 (diff)
downloadslackbuilds-28d3843e7fbed6358e6decb2b2193f3f7f2f6f36.tar.gz
slackbuilds-28d3843e7fbed6358e6decb2b2193f3f7f2f6f36.tar.xz
network/xdman: Added (download manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/xdman/README21
-rw-r--r--network/xdman/doinst.sh13
-rw-r--r--network/xdman/slack-desc19
-rw-r--r--network/xdman/xdman3
-rw-r--r--network/xdman/xdman.SlackBuild100
-rw-r--r--network/xdman/xdman.desktop11
-rw-r--r--network/xdman/xdman.info10
7 files changed, 177 insertions, 0 deletions
diff --git a/network/xdman/README b/network/xdman/README
new file mode 100644
index 0000000000..2f163fbd4d
--- /dev/null
+++ b/network/xdman/README
@@ -0,0 +1,21 @@
+xdman (download manager)
+
+Xtreme Download Manager is a powerful tool to increase download speed up-to 500%,
+save videos from video sharing sites and integration with ANY browser.
+
+On Google Chrome|Chromium|Vivaldi,Opera >12.16, type on URL bar: chrome://extensions
+Check "Developer mode", click on "Load Unpacked extension" and select ~/xdm-helper folder.
+
+On Mozilla Firefox, simply drag and drop file ~/xdm-helper/xdmff.xpi.
+
+For other browsers, go to Tools/Browser Integration.
+
+On this version, Java (openjdk,jdk, etc) is not a dependency!
+
+Some features present in Xtreme Download Manager are:
+
+ * Superfast speed;
+ * Save video from any website;
+ * Supports any browser;
+ * Runs on any Operating system;
+ * Free, No-Adware and Open source.
diff --git a/network/xdman/doinst.sh b/network/xdman/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/xdman/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/xdman/slack-desc b/network/xdman/slack-desc
new file mode 100644
index 0000000000..0f6f85f05f
--- /dev/null
+++ b/network/xdman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xdman: xdman (download manager)
+xdman:
+xdman: Xtreme Download Manager is a powerful tool to increase download speed
+xdman: up-to 500%, save videos from video sharing sites and integration
+xdman: with ANY browser.
+xdman:
+xdman: Home page: http://xdman.sourceforge.net/index.html
+xdman:
+xdman:
+xdman:
+xdman:
diff --git a/network/xdman/xdman b/network/xdman/xdman
new file mode 100644
index 0000000000..343ae12155
--- /dev/null
+++ b/network/xdman/xdman
@@ -0,0 +1,3 @@
+#!/bin/bash
+DIR="/usr/share/xdman"
+$DIR/jre/bin/java -jar $DIR/xdm.jar
diff --git a/network/xdman/xdman.SlackBuild b/network/xdman/xdman.SlackBuild
new file mode 100644
index 0000000000..2151d6ef26
--- /dev/null
+++ b/network/xdman/xdman.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# Slackware build script for xdman.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xdman
+VERSION=${VERSION:-5.0.47}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM="xdm"
+SUFFIX="jre"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+
+if [ "$ARCH" = "i486" ]; then
+ tar xvf $CWD/$SRCNAM-$SUFFIX-32bit.tar.xz
+elif [ "$ARCH" = "x86_64" ]; then
+ tar xvf $CWD/$SRCNAM-$SUFFIX-64bit.tar.xz
+fi
+
+mv $SRCNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d $PKG/usr/bin
+install -D -m755 $CWD/xdman $PKG/usr/bin/xdman
+install -d $PKG/usr/share/{applications,pixmaps,$PRGNAM}
+install -D -m644 $CWD/xdman.desktop $PKG/usr/share/applications/xdman.desktop
+install -D -m644 icon.png $PKG/usr/share/pixmaps/xdman.png
+cp -a jre xdm.jar $PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/xdman/xdman.desktop b/network/xdman/xdman.desktop
new file mode 100644
index 0000000000..0a7e777879
--- /dev/null
+++ b/network/xdman/xdman.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=Xdman
+GenericName=Xtreme Download Manager
+Comment=Powerfull download accelarator and video downloader
+Icon=/usr/share/pixmaps/xdman.png
+Exec=xdman
+TryExec=xdman
+Terminal=false
+Categories=Network; \ No newline at end of file
diff --git a/network/xdman/xdman.info b/network/xdman/xdman.info
new file mode 100644
index 0000000000..39c677149a
--- /dev/null
+++ b/network/xdman/xdman.info
@@ -0,0 +1,10 @@
+PRGNAM="xdman"
+VERSION="5.0.47"
+HOMEPAGE="http://xdman.sourceforge.net/index.html"
+DOWNLOAD="http://sourceforge.net/projects/xdman/files/xdm-jre-32bit.tar.xz"
+MD5SUM="1db7d588dddc7f6e4c7a4f1d4a8e73e3"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/xdman/files/xdm-jre-64bit.tar.xz"
+MD5SUM_x86_64="00096f8c8a50f93c9f4d02687474e9b0"
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"